/**
 * Override converse's request permission with an empty function
 * so that permission request for notifications don't happen.
 */
converse.plugins.add('sib-remove-notifications', {
  overrides: {
    requestPermission: function() {
    },
    showMessageNotification: function() {
    },
    showChatStateNotification: function() {
    },
    showContactRequestNotification: function() {
    },
    showFeedbackNotification: function() {
    },
    handleChatStateNotification: function() {
    },
    handleMessageNotification: function() {
    },
    handleContactRequestNotification: function() {
    },
    handleFeedback: function() {
    },
  },
});
