# CHANGELOG

This file contains the changes applied to the sources of converse<br>
The current build version of converse is: `v7.0.3dev`<br>
If the converse sources have to be updated, apply these changes again, or fix them using plugins

### 2024-05-23
* Return a custom full name for unaffiliated users based on the resource nickname (CRC32 encoded)

### 2024-05-13
* Fallback to the resource nickname for unaffiliated users

### 2024-03-19
* Implement and use the `memory` storage by default
* Force the usage of the `persistent` store for vCards

### 2021-06-25
* Fix memory leaks caused by events not properly disconnected.

### 2021-05-19
* Avoid clearing the textarea when pressing the ESC key and not editing any messages

### 2021-05-18
* Move upload to fetch method from solid auth (commit 5345f05d9a4c71720e2c87a0a19c56a7b4865329)

### 2021-04-16
* Escaped an error on undefined `this.suggestions` when hovering the autocomplete results
* Escaped an error on undefined `this.suggestions` when selecting a mention (click)

### 2021-04-15
* Fix an endless loop when parsing bad formatted code block messages

### 2021-03-25
* Update retraction warning message in confirm modal

### 2021-03-12
* Added the `fa-reply` icon into the icons svg (icons.js)

### 2021-03-02
* Fixed the date separator format for French language

### 2021-02-18
* Added support for custom HTTP headers in file upload
* Allowed the preview of webp images in messages
* Disabled the image modal in messages

### 2021-02-15
* Escaped an error on undefined `ev.target` when scrolling a chat view
* Fixed missing default avatar by updating its image type to webp

### 2021-02-08
* Disabled the user modal on avatars (in messages)

### 2021-02-04
* Fixed @ mention on new lines

### 2021-01-25
* Updated the default avatar image
