/**
 * Initialize AUTHFAIL plugin
 */
converse.plugins.add('sib-disconnected', {
  initialize() {
    const _converse = this._converse;
    const { api } = _converse;
    const { Strophe } = converse.env;

    const getChats = () => Array.from(document.querySelectorAll('solid-xmpp-chat'));

    api.listen.on('disconnected', () => {
      if (_converse.connfeedback.attributes.connection_status === Strophe.Status.AUTHFAIL) {
        getChats().map(el => el.shadowRoot.innerHTML =
          `<div style='margin:3em;line-height:32px;'><b style='color:red;'>Erreur d'authentification.</b><br /><i style='color:grey;'>Êtes-vous sur le Orbit affilié à votre compte ?</i></div>`,
        );
      } else {
        getChats().map(el => el.shadowRoot.innerHTML =
          `<div style='margin:3em;line-height:32px;'><b style='color:red;'>Erreur.</b><br /><i style='color:grey;'>${_converse.connfeedback.attributes.message}</i></div>`,
        );
      }
    });
  },
});
